List AI refund requests (approval artifacts; no PSP refund)
GET
/v1/ai/refund-requestsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
conversation_idstringstatusstringlimitinteger<int64>Responses
200OK
itemsRefundRequestRecord[] | nullrequiredShow propertiesHide properties
Array of
RefundRequestRecordactor_user_idstringagent_idstringamountnumber<double>contact_idstringconversation_idstringcreated_atstringrequiredcurrencystringidstringrequiredinterrupt_idstringorder_refstringrequiredorganization_idstringrequiredreasonstringreject_reasonstringresolved_atstringrun_idstringstatusstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/ai/refund-requests"const response = await fetch("/v1/ai/refund-requests", {
method: "GET"
});import requests
response = requests.get(
"/v1/ai/refund-requests",
)Response
{
"items": [
{
"actor_user_id": "string",
"agent_id": "string",
"amount": 0,
"contact_id": "string",
"conversation_id": "string",
"created_at": "string",
"currency": "string",
"id": "string",
"interrupt_id": "string",
"order_ref": "string",
"organization_id": "string",
"reason": "string",
"reject_reason": "string",
"resolved_at": "string",
"run_id": "string",
"status": "string",
"updated_at": "string"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}